//=============================================================================
// BloodDrop.
//=============================================================================
class BloodDrop extends Effects;

simulated function PostBeginPlay()
{
	local int i;
	
	Texture = MultiSkins[Rand(8)];
	Drawscale = (FRand()*0.30) + 0.0025;
	if (class'BM'.Default.bRandLevel) i = Rand(class'BM'.Default.SpurtLevel) + 1; else i = class'BM'.Default.SpurtLevel;
	Velocity.Z += i + ((i * 8) * FRand());
	i = Rand(i) + 65;
	Velocity.X += (i / 3) * FRand();
	Velocity.X -= (i * 1.5 / 3) * FRand();
	Velocity.Y += (i / 5) * FRand();
	Velocity.Y -= (i * 1.5 / 5) * FRand();
}

simulated function HitWall( vector HitNormal, actor Wall )
{
	if (Level.NetMode != NM_DedicatedServer)
	{
		if ( FRand() < 0.5 )
			Spawn(class'BloodSplat',,,Self.Location,rotator(HitNormal));
		if ( FRand() < 0.5 )
			Spawn(class'BloodDrop2',,,Self.Location,rotator(HitNormal));
		Destroy();
	}
}

defaultproperties
{
     bHighDetail=True
     Physics=PHYS_Falling
     bStatic=False
     LifeSpan=3.500000
     DrawType=DT_Sprite
     Style=STY_Masked
     Texture=Texture'Botpack.Blood.BD3'
     DrawScale=0.250000
     AmbientGlow=180
     MultiSkins(0)=Texture'Botpack.Blood.BD3'
     MultiSkins(1)=Texture'Botpack.Blood.BD4'
     MultiSkins(2)=Texture'Botpack.Blood.BD6'
     MultiSkins(3)=Texture'Botpack.Blood.BD9'
     MultiSkins(4)=Texture'Botpack.Blood.BD10'
     MultiSkins(5)=Texture'Botpack.Blood.BD3'
     MultiSkins(6)=Texture'Botpack.Blood.BD4'
     MultiSkins(7)=Texture'Botpack.Blood.BD6'
     bCollideWorld=True
     bBounce=True
     NetPriority=2.000000
}
