//=============================================================================
// GBloodDrop.
//=============================================================================
class GBloodDrop extends Effects;

#exec TEXTURE IMPORT NAME=GBD3 FILE=GBD3.pcx LODSET=2
#exec TEXTURE IMPORT NAME=GBD6 FILE=GBD6.pcx LODSET=2
#exec TEXTURE IMPORT NAME=GBD9 FILE=GBD9.pcx LODSET=2
#exec TEXTURE IMPORT NAME=GBD10 FILE=GBD10.pcx LODSET=2

simulated function PostBeginPlay()
{
	local int i;

	
	Texture = MultiSkins[Rand(6)];
	Drawscale = (FRand()*0.30) + 0.0025;
	if (class'BM'.Default.bRandLevel) i = Rand(class'BM'.Default.SpurtLevel) + 1; else i = class'BM'.Default.SpurtLevel;
	Velocity.Z += i + ((i * 8) * FRand());
	i = Rand(i) + 65;
	Velocity.X += (i / 3) * FRand();
	Velocity.X -= (i * 1.5 / 3) * FRand();
	Velocity.Y += (i / 5) * FRand();
	Velocity.Y -= (i * 1.5 / 5) * FRand();
}

simulated function HitWall( vector HitNormal, actor Wall )
{
	if (Level.NetMode != NM_DedicatedServer)
	{
		if ( FRand() < 0.5 )
			Spawn(class'GBloodSplat',,,Self.Location,rotator(HitNormal));
		if ( FRand() < 0.5 )
			Spawn(class'GBloodDrop2',,,Self.Location,rotator(HitNormal));
		Destroy();
	}
}

defaultproperties
{
     bHighDetail=True
     Physics=PHYS_Falling
     bStatic=False
     LifeSpan=3.500000
     DrawType=DT_Sprite
     Style=STY_Masked
     Texture=Texture'BloodyMess.GBD3'
     DrawScale=0.250000
     AmbientGlow=180
     MultiSkins(0)=Texture'BloodyMess.GBD3'
     MultiSkins(1)=Texture'BloodyMess.GBD6'
     MultiSkins(2)=Texture'BloodyMess.GBD9'
     MultiSkins(3)=Texture'BloodyMess.GBD10'
     MultiSkins(4)=Texture'BloodyMess.GBD3'
     MultiSkins(5)=Texture'BloodyMess.GBD6'
     bCollideWorld=True
     bBounce=True
     NetPriority=2.000000
}
